[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Running TSV 1.7.1 on Win XP sp2

From: Stefan Küng <tortoisesvn_at_gmail.com>
Date: Tue, 08 Nov 2011 19:35:47 +0100

On 08.11.2011 17:16, Zibetti Paolo wrote:
> TSN 1.7.x requires Win XPSP3.
>
> I have aWin XP SP2systemthat cannot be upgraded to sp3.

why not?

> Since the TSVN installer refuses to run on SP2, I made a little experiment:
>
> 1. Installed TSVN 1.7.1 on anSP3 machine
>
> 2. Installed TSVN1.6.x on my SP2 machine
>
> 3. Manually copied thecontents of theTortoiseSVN\binfolder from the SP3
> to the SP2 machine
>
> 4. Manually copiedMfc100u.dllfrom Windows\system32 ofthe Sp3 machine to
> the SP2 machine
>
> After that,TSVN 1.7.1 ******apparently** works correctly on my SP2
> machine, so,at least in my case,it seems that the only missing component
> wasMfc100u.dll.
>
> It seems to good to be true:does anyone knowexactlywhatfunctionalityis
> missing from SP2that is required by TSVN ? What malfunctions should I
> expect ?

See here:
http://www.microsoft.com/download/en/details.aspx?id=5555
Under "System requirements":
Windows XP with Service Pack 3 (all editions except Starter Edition)

And since TSVN is built with VS2010 and therefore uses that runtime lib,
XP with SP3 is a requirement.
You can of course try to run it on XP with only SP2 but there's no
guarantee that it will work properly.

Stefan

-- 
        ___
   oo  // \\      "De Chelonian Mobile"
  (_,\/ \_/ \     TortoiseSVN
    \ \_/_\_/>    The coolest Interface to (Sub)Version Control
    /_/   \_\     http://tortoisesvn.net
------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2876344
To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2011-11-08 19:35:57 CET

This is an archived mail posted to the TortoiseSVN Users mailing list.